Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaein

    java.lang.Object
      org.netlib.lapack.Slaein

    public class Slaein

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAEIN uses inverse iteration to find a right or left eigenvector
     *  corresponding to the eigenvalue (WR,WI) of a real upper Hessenberg
     *  matrix H.
     *
     *  Arguments
     *  =========
     *
     *  RIGHTV   (input) LOGICAL
     *          = .TRUE. : compute right eigenvector;
     *          = .FALSE.: compute left eigenvector.
     *
     *  NOINIT   (input) LOGICAL
     *          = .TRUE. : no initial vector supplied in (VR,VI).
     *          = .FALSE.: initial vector supplied in (VR,VI).
     *
     *  N       (input) INTEGER
     *          The order of the matrix H.  N >= 0.
     *
     *  H       (input) REAL array, dimension (LDH,N)
     *          The upper Hessenberg matrix H.
     *
     *  LDH     (input) INTEGER
     *          The leading dimension of the array H.  LDH >= max(1,N).
     *
     *  WR      (input) REAL
     *  WI      (input) REAL
     *          The real and imaginary parts of the eigenvalue of H whose
     *          corresponding right or left eigenvector is to be computed.
     *
     *  VR      (input/output) REAL array, dimension (N)
     *  VI      (input/output) REAL array, dimension (N)
     *          On entry, if NOINIT = .FALSE. and WI = 0.0, VR must contain
     *          a real starting vector for inverse iteration using the real
     *          eigenvalue WR; if NOINIT = .FALSE. and WI.ne.0.0, VR and VI
     *          must contain the real and imaginary parts of a complex
     *          starting vector for inverse iteration using the complex
     *          eigenvalue (WR,WI); otherwise VR and VI need not be set.
     *          On exit, if WI = 0.0 (real eigenvalue), VR contains the
     *          computed real eigenvector; if WI.ne.0.0 (complex eigenvalue),
     *          VR and VI contain the real and imaginary parts of the
     *          computed complex eigenvector. The eigenvector is normalized
     *          so that the component of largest magnitude has magnitude 1;
     *          here the magnitude of a complex number (x,y) is taken to be
     *          |x| + |y|.
     *          VI is not referenced if WI = 0.0.
     *
     *  B       (workspace) REAL array, dimension (LDB,N)
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= N+1.
     *
     *  WORK   (workspace) REAL array, dimension (N)
     *
     *  EPS3    (input) REAL
     *          A small machine-dependent value which is used to perturb
     *          close eigenvalues, and to replace zero pivots.
     *
     *  SMLNUM  (input) REAL
     *          A machine-dependent value close to the underflow threshold.
     *
     *  BIGNUM  (input) REAL
     *          A machine-dependent value close to the overflow threshold.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          = 1:  inverse iteration did not converge; VR is set to the
     *                last iterate, and so is VI if WI.ne.0.0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slaein()`

Method Summary
`static void` | `slaein(boolean rightv, boolean noinit, int n, float[] h, int _h_offset, int ldh, float wr, float wi, float[] vr, int _vr_offset, float[] vi, int _vi_offset, float[] b, int _b_offset, int ldb, float[] work, int _work_offset, float eps3, float smlnum, float bignum, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaein

    public Slaein()

Method Detail

### slaein

    public static void slaein(boolean rightv,
                              boolean noinit,
                              int n,
                              float[] h,
                              int _h_offset,
                              int ldh,
                              float wr,
                              float wi,
                              float[] vr,
                              int _vr_offset,
                              float[] vi,
                              int _vi_offset,
                              float[] b,
                              int _b_offset,
                              int ldb,
                              float[] work,
                              int _work_offset,
                              float eps3,
                              float smlnum,
                              float bignum,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD